summaryrefslogtreecommitdiffstats
path: root/scripts/linux-trusty-qt512/travisbuild.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2019-09-03 23:07:37 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2019-09-05 17:54:09 -0700
commita921acb3ce30ef5cbc4ea8093fcc0bdae13fb109 (patch)
treef366b1ba56c348185a83de00daff85627040a0de /scripts/linux-trusty-qt512/travisbuild.sh
parent6670ea7bdb580db5630ce4176334801ef6c811d4 (diff)
downloadsubsurface-a921acb3ce30ef5cbc4ea8093fcc0bdae13fb109.tar.gz
Travis: build Subsurface AppImage against Qt 5.12
For this we need our own hand crafted trusty container with Qt 5.12, including QtWebKit and an updated cmake and libdbus, as well as already build googlemaps plugin, grantlee and libgit2. At the same time stop uploading the Subsurface AppImage in the traditional trusty build. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts/linux-trusty-qt512/travisbuild.sh')
-rw-r--r--scripts/linux-trusty-qt512/travisbuild.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/linux-trusty-qt512/travisbuild.sh b/scripts/linux-trusty-qt512/travisbuild.sh
new file mode 100644
index 000000000..91981108e
--- /dev/null
+++ b/scripts/linux-trusty-qt512/travisbuild.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -x
+set -e
+
+# this is run to actually trigger the creation of the AppImage
+# inside the container
+
+docker exec -t trusty-qt512 bash subsurface/scripts/linux-trusty-qt512/in-container-build.sh 2>&1 | tee build.log
+
+# fail the build if we didn't create the target binary
+grep "Please consider submitting your AppImage to AppImageHub" build.log
+